Skip to content
GET/{organizationId}/{mandateId}/crm/mailings/{mailingId}

Get mailing

Returns a specific mailing by its id with all of its details

Required permissions:

  • mandate.read

  • mailing.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
mailingIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/mailings/{mailingId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/mailings/{mailingId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

typestringrequired

Options:

emailletter
statusstringrequired

Options:

draftsendsendingdelivered
namestringrequired

minLength: 1

maxLength: 100

descriptionstringrequired

maxLength: 140

tagsstring arrayrequired

Additional properties are not allowed.

Additional properties are not allowed.

scheduledAtdate-time | nullrequired
templateContentsDefaultbooleanrequired
contactTypestring | nullrequired

Options:

memberaddresscustomersponsorcontributoremployeesupplier
createdAtdate-time | nulloptional

Additional properties are not allowed.

sendToAlternativeCommunicationsbooleanrequired
onlySendToMissingEmailAddressesbooleanrequired
totalintegerrequired

minimum: 0

maximum: 9007199254740991

costsintegerrequired

minimum: 0

maximum: 9999999999

noneintegerrequired

minimum: 0

maximum: 9007199254740991

manualintegerrequired

minimum: 0

maximum: 9007199254740991

dispatchingintegerrequired

minimum: 0

maximum: 9007199254740991

dispatchedintegerrequired

minimum: 0

maximum: 9007199254740991

sentintegerrequired

minimum: 0

maximum: 9007199254740991

openedintegerrequired

minimum: 0

maximum: 9007199254740991

failedintegerrequired

minimum: 0

maximum: 9007199254740991

clicksintegerrequired

minimum: 0

maximum: 9007199254740991

unsubscribesintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "_id": "000000000000000000000001",
  "type": "email",
  "status": "draft",
  "name": "string",
  "description": "string",
  "tags": "string",
  "email": {
    "tracking": true,
    "unsubscribe": true,
    "subject": "string",
    "previewText": "string",
    "replyTo": "string",
    "attachments": [
      {
        "resource": "string",
        "id": "string"
      }
    ]
  },
  "letter": {
    "sendColorPostal": true,
    "sendWithCheaperMethod": true
  },
  "scheduledAt": "2026-06-15T22:30:00Z",
  "templateContents": {},
  "templateAttachment": {},
  "templateContentsDefault": true,
  "contactType": "member",
  "recipients": {
    "viewFilter": {},
    "segments": [
      "string"
    ],
    "sharedSegmentsFilter": {
      "organizations": [
        "000000000000000000000001"
      ],
      "scope": "shared",
      "sharedSegment": "string"
    }
  },
  "sendToAlternativeCommunications": true,
  "onlySendToMissingEmailAddresses": true,
  "total": 0,
  "costs": 0,
  "none": 0,
  "manual": 0,
  "dispatching": 0,
  "dispatched": 0,
  "sent": 0,
  "opened": 0,
  "failed": 0,
  "clicks": 0,
  "unsubscribes": 0
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}